Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.properties
Class FilteredNameProperties

    com.togethersoft.openapi.util.properties.FilteredNamePropertiesRO
      |
      +--com.togethersoft.openapi.util.properties.FilteredNameProperties

public class FilteredNameProperties
extends FilteredNamePropertiesRO
implements IProperties

Adds ability to set value for this property.

Author:
  TogetherSoft

Constructor Summary
`FilteredNameProperties(IProperties base, InvertibleFunction filter)`

Method Summary
`void` | `addVetoableChangeListener(VetoableChangeListener listener)` Add a VetoableListener to the listener list.
`protected void` | `fireVetoableChange(String key, String oldValue, String value)`
`protected void` | `fireVetoableChange(String key, String value)`
`protected IProperties` | `getWritableBase()`
`void` | `putProperty(String key, String value)` Puts a property value to the specified key.
`void` | `removeVetoableChangeListener(VetoableChangeListener listener)` Remove a VetoableChangeListener from the listener list.

Methods inherited from class com.togethersoft.openapi.util.properties.FilteredNamePropertiesRO
`addPropertyChangeListener, firePropertyChange, firePropertyChange, getBase, getFilter, getProperty, propertyNames, removePropertyChangeListener`

Constructor Detail

### FilteredNameProperties

    public FilteredNameProperties(IProperties base, InvertibleFunction filter)

Method Detail

### addVetoableChangeListener

    public void addVetoableChangeListener(VetoableChangeListener listener)

  Add a VetoableListener to the listener list.
  Parameters:
    listener - The VetoableChangeListener to be added

### fireVetoableChange

    protected void fireVetoableChange(String key, String oldValue, String value)
                                throws java.beans.PropertyVetoException

### fireVetoableChange

    protected void fireVetoableChange(String key, String value)
                                throws java.beans.PropertyVetoException

### getWritableBase

    protected IProperties getWritableBase()

### putProperty

    public void putProperty(String key, String value)

  Puts a property value to the specified key. The key and the element cannot be null.
  Parameters:
    key - the specified key in the hashtable
    value - the specified element
  Returns: the old value of the key, or null if it did not have one.
  Throws:
    NullPointerException - If the value of the element is equal to null.
  See Also:
    java.util.Hashtable.put(java.lang.Object,java.lang.Object)

### removeVetoableChangeListener

    public void removeVetoableChangeListener(VetoableChangeListener listener)

  Remove a VetoableChangeListener from the listener list.
  Parameters:
    listener - The VetoableChangeListener to be removed

Association Links

to Class java.beans.VetoableChangeSupport

to Class java.beans.VetoableChangeListener

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD